Loading...
Searching...
No Matches
Catch::UnaryExpr< LhsT > Class Template Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::UnaryExpr< LhsT >:
[legend]
Collaboration diagram for Catch::UnaryExpr< LhsT >:
[legend]

## Public Member Functions

constexpr | UnaryExpr (LhsT lhs)
Public Member Functions inherited from Catch::ITransientExpression
constexpr auto | isBinaryExpression () const -> bool
constexpr auto | getResult () const -> bool
constexpr | ITransientExpression (bool isBinaryExpression, bool result)
constexpr | ITransientExpression (ITransientExpression const &)=default
constexpr ITransientExpression & | operator= (ITransientExpression const &)=default

## Private Member Functions

void | streamReconstructedExpression (std::ostream &os) const override
| This function has to be overriden by the derived class.

## Private Attributes

LhsT | m_lhs

## Additional Inherited Members

Protected Member Functions inherited from Catch::ITransientExpression
| ~ITransientExpression ()=default

## Constructor & Destructor Documentation

## UnaryExpr()

template<typename LhsT>

Catch::UnaryExpr< LhsT >::UnaryExpr | ( | LhsT | lhs | ) |

inlineexplicitconstexpr

Here is the call graph for this function:

## Member Function Documentation

## streamReconstructedExpression()

template<typename LhsT>

void Catch::UnaryExpr< LhsT >::streamReconstructedExpression | ( | std::ostream & | os | ) | const

inlineoverrideprivatevirtual

This function has to be overriden by the derived class.

Reimplemented from Catch::ITransientExpression.

Here is the call graph for this function:

## Member Data Documentation

## m_lhs

template<typename LhsT>

LhsT Catch::UnaryExpr< LhsT >::m_lhs

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp